<?php 
include_once "./php/auth/authentication.php";
include_once "./php/connect.php";
include_once "./php/help/timeago.php";
include "./php/include/header.php";
include './php/help/arabic-date.php';
?>


<div class="d-flex" id="wrapper">
    <!-- Page Content -->
    <div id="page-content-wrapper">
        <?php include_once('php/include/nav.php');?>
        <a href="market_expenses.php">
            <i class='btn btn-sm bx bxs-chevron-right ms-4 fs-5 bg-light'></i>
        </a>
        <div class="container-fluid p-4">
            <?php include("./php/include/chart_expenses.php");?>
            <div class="mt-2" style="height: 25px;">
                <?php include_once('./php/help/message.php');?>
            </div>

            <div class="row my-5 bg-light">
                <div class="row ">
                    <?php if($_SESSION['auth_role'] == 1): ?>
                        <div class="col align-items-start btn-lg mt-4"><a href="#addnewmonthy" class="btn btn-sm custom-btn-pry fw-bold align-items-start" data-bs-toggle="modal" ><i class='bx bx-plus bx-xs'></i> اضافة شهــر جديد </a></div>
                        <?php include './php/monthy/add_monthymodel.php' ; ?>
                    <?php else: ?>
                        <span class="col align-items-start align-self-center btn-lg"><a href="#" class="btn btn-outline-secondary disabled">اضافة شهر جديد</a></span>
                    <?php endif; ?>
                </div>
                <center class="pt-2">
                    <span class="d-flex justify-content-center sidebar-heading text-center primary-text fw-bold">
                            <img src= "images/icon.png" class="rounded-2" width="33" height="33" alt="//">
                            <p class="ms-2 pe-2 fs-6">الشهر الجديد لمصاريف/ <b class="text-danger fs-6"><?=$_GET['name_of_marketexpen']; ?></b></p> 
                    </span>
                </center>
                <div class="col-lg-12" >
                    <table id="datatableid" class="table table-striped table-hover ">
                        <thead>
                            <tr>
                                <th scope="col" width="10">#</th>
                                <th scope="col" width="10">##</th>
                                <th scope="col" width="10">دخول</th>
                                <th scope="col" class="text-center" width="80">التاريــخ </th>
                                <th scope="col" class="text-center" width="80">تفاصيل الشهر</th>
                                <th scope="col" class="text-center" width="80">المصاريف </th>
                                <th scope="col" class="text-center" width="100">التفاصيل</th>
                                <th scope="col">تاريخ الانشاء</th>
                                <th scope="col"> تاريخ التحديث</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $marketexpen_id = $_GET['marketexpen_id'];
                            $sql = "SELECT * FROM monthy WHERE idmarketexpen = $marketexpen_id ORDER BY monthy_id DESC ";
                            $stmt = $con->prepare($sql);
                            $stmt->execute();
                            $rows = $stmt->fetchAll(PDO::FETCH_ASSOC);
                            if($rows > 0){
                                foreach($rows as $row){
                                ?>
                                    <tr role="row" class="odd">
                                <td>
                                <div class="dropdown">
                                    <a class="btn btn-sm custom-btn-pry" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    <i class='bx bx-dots-vertical-rounded'></i>
                                    </a>

                                    <ul class="dropdown-menu">
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                    <a href="#updatemonthy_<?php echo $row['monthy_id'];?>" class="dropdown-item text-primary" data-bs-toggle="modal" >تعديل اليوم</a>
                                                    
                                            <?php else: ?>
                                                <a   class="dropdown-item disabled"> تعديل اليوم</a>
                                            <?php endif; ?>
                                        </li>
                                        <li>
                                            <?php if($_SESSION['auth_role'] == 1): ?>
                                                <a href="#deletemonthy_<?php echo  $row['monthy_id'];?>" class="dropdown-item text-danger" data-bs-toggle="modal">مسح اليوم</a>
                                                
                                            <?php else: ?>
                                                
                                            <?php endif; ?>
                                        </li>
                                    </ul>
                                </div>
                                </td>

                                <td class="text-danger text-center fw-bold"><?php echo $row['monthy_id']; ?></td>
                                <td  class="text-center">
                                    <a href="monthy_expen.php?monthy_id=<?= $row['monthy_id'] ?>&monthy_date=<?= $row['monthy_date'] ?>&marketexpen_id=<?= $_GET['marketexpen_id']?>&name_of_marketexpen=<?= $_GET['name_of_marketexpen']; ?>">
                                        <i class='btn btn-sm bx bxs-left-arrow-circle fs-5 custom-btn-pry'></i>
                                    </a>
                                </td>
                                <td class="fs-4">
                                    <span id="currentDate" class="d-flex justify-content-between">
                                        <?=substr($row['monthy_date'],0,10); ?><i class="bx bx-calendar-alt bx-xs text-success"></i>
                                    </span>
                                </td>
                                <td class="fs-5">
                                    <span id="currentDate" class="d-flex justify-content-between">
                                        <?= arabicDate(strtotime($row['monthy_date'])); ?>
                                    </span>
                                </td>
                                <td class="text-center">
                                    <?php
                                        $var1 = $row['monthy_id'];
                                        $res2 = $con->prepare("SELECT SUM(outgoing) FROM monthy_expen WHERE idofmonthy = $var1");
                                        $res2->execute();
                                        $num_rows2 = $res2->fetchColumn();
                                        if ($num_rows2 > 0) {
                                            echo '<h3 class="fs-5 text-danger">'.number_format($num_rows2).'</h3>';
                                        }else{
                                            echo '<h3 class="fs-5"> لايوجد </h3>';
                                        }
                                    ?>
                                </td>
                                <td class="<?= $row['monthy_detail'] == null ? 'text-secondary': 'text-danger'; ?> text-center" ><?= $row['monthy_detail'] == null ? 'لايوجد': $row['monthy_detail'] ; ?></td>
                                <td>
                                    <div> 
                                        <?= substr($row['created_at'],0,10); ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                            <?= substr($row['created_at'],11,5); ?>
                                    </div>
                                </td>
                                <td>
                                    <div> 
                                        <?= substr($row['updated_at'],0,10); ?>
                                    </div>
                                    <div id="sizeoffontcp"> 
                                            <?= substr($row['updated_at'],11,5); ?>
                                    </div>
                                </td>
                               
                                <?php include('./php/monthy/updel_monthymodel.php');?>
                            </tr>
                            
                                <?php
                                }
                            }
                        ?> 
                        </tbody>
                    </table>
                </div>
            </div>

        </div>
        <?= include_once './php/include/copyright.php' ?>
    </div>
</div>
<!-- /#page-content-wrapper -->
<?php include_once('./php/include/footer.php');?>
<script src="./js/table.js"></script>
<script src="./js/hide_alert.js"></script>

